CRM V4

Oportunidades

GET
/v1/crm-v4/opportunities

Retorna oportunidades do CRM V4 com etapa, valor do deal, responsável e timestamps do ciclo de vida.

Filtros:

  • organizationId (obrigatório)
  • integrationId (opcional)
  • boardId, columnId, phaseType
  • type (OPPORTUNITY, EXPANSION, ACQUISITION)
  • ownerId
  • createdStart, createdEnd

Autorização

ClientIdAuthClientSecretAuth
headerx-client-id<token>

Client ID

headerx-client-secret<token>

Client secret

Parâmetros de query

organizationId*string

Identificador da organização (obrigatório)

integrationId?string

Identificador da integração (opcional)

boardId?string

Identificador do board (pipeline) (opcional)

columnId?string

Identificador da etapa (coluna) (opcional)

phaseType?string

Tipo de fase da etapa (opcional)

type?string

Tipo de board do card: OPPORTUNITY, EXPANSION ou ACQUISITION (opcional)

ownerId?string

Identificador do responsável (usuário) (opcional)

createdStart?string

Início do intervalo de data de criação (opcional)

Formatodate-time
createdEnd?string

Fim do intervalo de data de criação (opcional)

Formatodate-time
page?integer

Número da página (padrão: 1)

Intervalo1 <= value
Padrão1
limit?integer

Resultados por página (padrão: 500, máx.: 5000)

Intervalo1 <= value <= 5000
Padrão500

Corpo da resposta

Resposta de sucesso

application/json
  1. response
data?array<>
meta?
curl -X GET "https://example.com/v1/crm-v4/opportunities?organizationId=organization_123"
{  "data": [    {      "id": "string",      "board_id": "string",      "title": "string",      "company_name": "string",      "type": "string",      "column_id": "string",      "column_title": "string",      "phase_type": "string",      "owner_id": "string",      "owner_name": "string",      "total_deal_amount": 0,      "sales_date": "2019-08-24T14:15:22Z",      "lost_date": "2019-08-24T14:15:22Z",      "labels": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "tenant_id": "string",      "integration_id": "string",      "organization_id": "string",      "user_id": "string",      "document_id": "string",      "inserted_at": "2019-08-24T14:15:22Z",      "integration_name": "string"    }  ],  "meta": {    "page": 0,    "limit": 0,    "hasNextPage": true,    "hasPreviousPage": true  }}